> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Private Wireless Gateway

> Retrieve information about a Private Wireless Gateway.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/networking/networking.yml get /private_wireless_gateways/{id}
openapi: 3.1.0
info:
  title: Telnyx Networking API
  version: 2.0.0
  description: API for Networking.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /private_wireless_gateways/{id}:
    get:
      tags:
        - Private Wireless Gateways
      summary: Get a Private Wireless Gateway
      description: Retrieve information about a Private Wireless Gateway.
      operationId: GetPrivateWirelessGateway
      parameters:
        - $ref: '#/components/parameters/PrivateWirelessGatewayId'
      responses:
        '200':
          $ref: '#/components/responses/GetPrivateWirelessGatewayResponse'
        '404':
          $ref: '#/components/responses/wireless_ResourceNotFound'
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const privateWirelessGateway = await
            client.privateWirelessGateways.retrieve(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
            );


            console.log(privateWirelessGateway.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            private_wireless_gateway =
            client.private_wireless_gateways.retrieve(
                "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )

            print(private_wireless_gateway.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tprivateWirelessGateway, err := client.PrivateWirelessGateways.Get(context.TODO(), \"6a09cdc3-8948-47f0-aa62-74ac943d6c58\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", privateWirelessGateway.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.privatewirelessgateways.PrivateWirelessGatewayRetrieveParams;

            import
            com.telnyx.sdk.models.privatewirelessgateways.PrivateWirelessGatewayRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PrivateWirelessGatewayRetrieveResponse privateWirelessGateway = client.privateWirelessGateways().retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            private_wireless_gateway =
            telnyx.private_wireless_gateways.retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(private_wireless_gateway)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $privateWirelessGateway = $client->privateWirelessGateways->retrieve(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58'
              );

              var_dump($privateWirelessGateway);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx private-wireless-gateways retrieve \
              --api-key 'My API Key' \
              --id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    PrivateWirelessGatewayId:
      name: id
      description: Identifies the private wireless gateway.
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    GetPrivateWirelessGatewayResponse:
      description: Successful Response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/PrivateWirelessGateway'
    wireless_ResourceNotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Error'
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    PrivateWirelessGateway:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Identifies the resource.
          readOnly: true
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        network_id:
          type: string
          format: uuid
          description: The identification of the related network resource.
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        record_type:
          type: string
          readOnly: true
          example: private_wireless_gateway
        created_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            created.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: >-
            ISO 8601 formatted date-time indicating when the resource was
            updated.
          readOnly: true
          example: '2018-02-02T22:25:27.521Z'
        name:
          description: The private wireless gateway name.
          type: string
          example: My private wireless gateway
        region_code:
          description: >-
            The name of the region where the Private Wireless Gateway is
            deployed.
          type: string
          example: dc2
          default: null
        status:
          $ref: '#/components/schemas/PrivateWirelessGatewayStatus'
        ip_range:
          type: string
          description: >-
            IP block used to assign IPs to the SIM cards in the Private Wireless
            Gateway.
          example: 100.64.1.0/24
          readOnly: true
          default: null
        assigned_resources:
          type: array
          description: >-
            A list of the resources that have been assigned to the Private
            Wireless Gateway.
          items:
            $ref: '#/components/schemas/PWGAssignedResourcesSummary'
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    PrivateWirelessGatewayStatus:
      type: object
      description: The current status or failure details of the Private Wireless Gateway.
      properties:
        value:
          type: string
          description: >-
            The current status or failure details of the Private Wireless
            Gateway. <ul>
             <li><code>provisioning</code> - the Private Wireless Gateway is being provisioned.</li>
             <li><code>provisioned</code> - the Private Wireless Gateway was provisioned and able to receive connections.</li>
             <li><code>failed</code> - the provisioning had failed for a reason and it requires an intervention.</li>
             <li><code>decommissioning</code> - the Private Wireless Gateway is being removed from the network.</li>
             </ul>
             Transitioning between the provisioning and provisioned states may take some time.
          enum:
            - provisioning
            - provisioned
            - failed
            - decommissioning
          readOnly: true
          default: provisioning
          example: provisioned
        error_description:
          type:
            - string
            - 'null'
          description: >-
            This attribute provides a human-readable explanation of why a
            failure happened.
          readOnly: true
          default: null
          example: null
        error_code:
          type:
            - string
            - 'null'
          description: >-
            This attribute is an [error
            code](https://developers.telnyx.com/development/api-fundamentals/api-errors)
            related to the failure reason.
          readOnly: true
          default: null
          example: null
    PWGAssignedResourcesSummary:
      type: object
      description: >-
        The summary of the resource that have been assigned to the Private
        Wireless Gateway.
      properties:
        record_type:
          type: string
          description: The type of the resource assigned to the Private Wireless Gateway.
          example: sim_card_group
          readOnly: true
        count:
          type: integer
          description: >-
            The current count of a resource type assigned to the Private
            Wireless Gateway.
          example: 1
          readOnly: true
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````